package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.Symptom;
import com.diagbot.entity.SymptomWrapper;
import com.diagbot.service.impl.SymptomServiceImpl;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description: 症状
 * @Author: ztg
 * @Date: 2018/10/23 16:33
 */
@Component
public class SymptomFacade extends SymptomServiceImpl{

    public List<Symptom> getList() {
        QueryWrapper<Symptom> qw1 = new QueryWrapper<>();
        List<Symptom> list = this.list(qw1);
        return list;
    }


    /**
     * 根据部位partIds获取症状信息
     * @param map
     * @return
     */
    public List<SymptomWrapper> getByPartIdsFac(Map map) {
        return this.getByPartIds(map);
    }

}
