package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.Symptom;
import com.diagbot.entity.SymptomWrapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author gaodm
 * @since 2018-08-02
 */
public interface SymptomService extends IService<Symptom> {


    /**
     * 根据部位ids获取症状信息
     * @param map
     * @return
     */
    public List<SymptomWrapper> getByPartIds(Map map);

}
